/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.jenkins.results.parser;

import java.util.Properties;

/**
 * @author Michael Hashimoto
 */
public class FunctionalPortalBatchBuildRunner extends PortalBatchBuildRunner {

	protected FunctionalPortalBatchBuildRunner(Job job, String batchName) {
		super(job, batchName);

		_setPortalBuildProperties();
	}

	private void _setPortalBuildProperties() {
		Properties properties = new Properties();

		properties.put("jsp.precompile", "on");
		properties.put("jsp.precompile.parallel", "on");

		portalLocalRepository.setBuildProperties(properties);
	}

}