/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.jenkins.results.parser;

/**
 * @author Michael Hashimoto
 */
public class RemoteGitBranch
	extends BaseGitBranch implements Comparable<RemoteGitBranch> {

	@Override
	public int compareTo(RemoteGitBranch o) {
		String name = getName();

		return name.compareTo(o.getName());
	}

	public RemoteRepository getRemoteRepository() {
		return _remoteRepository;
	}

	@Override
	public String toString() {
		RemoteRepository remoteRepository = getRemoteRepository();

		StringBuilder sb = new StringBuilder();

		sb.append(remoteRepository.getRemoteURL());
		sb.append(" (");
		sb.append(getName());
		sb.append(" - ");
		sb.append(getSHA());
		sb.append(")");

		return sb.toString();
	}

	protected RemoteGitBranch(
		RemoteRepository remoteRepository, String name, String sha) {

		super(name, sha);

		if (remoteRepository == null) {
			throw new IllegalArgumentException("Remote repository is null");
		}

		_remoteRepository = remoteRepository;
	}

	private final RemoteRepository _remoteRepository;

}